<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: behavioral Architecture  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="classDAQ__Link__EventBuilder.html">DAQ_Link_EventBuilder</a></li><li class="navelem"><a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html">behavioral</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">behavioral Architecture Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classDAQ__Link__EventBuilder_1_1behavioral-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Processes"></a>
Processes</h2></td></tr>
 <tr class="memitem:ab0d64fd87a4715751d15e0965202707e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab0d64fd87a4715751d15e0965202707e"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#ab0d64fd87a4715751d15e0965202707e">EVB</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:aadaf12a8c51b164e0c575083ef7a8653"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aadaf12a8c51b164e0c575083ef7a8653"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#aadaf12a8c51b164e0c575083ef7a8653">spy_buffer_control</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar">reset</span><span class="vhdlchar"> </span></b> )</b></td></tr>
<tr class="memitem:af83754e4827203e97b72fb482d36d48e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af83754e4827203e97b72fb482d36d48e"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#af83754e4827203e97b72fb482d36d48e">delay_counter</a>&#160;</td><td class="memItemRight" valign="bottom"><b> ( <b><span class="vhdlchar">clk</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span></b> )</b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Components"></a>
Components</h2></td></tr>
 <tr class="memitem:ab4ebe9347b1ab745826dd7e33f4a5637"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab4ebe9347b1ab745826dd7e33f4a5637"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#ab4ebe9347b1ab745826dd7e33f4a5637">CRCD64_RCE</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classCRCD64__RCE.html">&lt;Entity CRCD64_RCE&gt; </a></em></td></tr>
<tr class="memitem:abb74756b7e5a4fc265f35015058fe597"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abb74756b7e5a4fc265f35015058fe597"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#abb74756b7e5a4fc265f35015058fe597">CRCD64_FELIX</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classCRCD64__FELIX.html">&lt;Entity CRCD64_FELIX&gt; </a></em></td></tr>
<tr class="memitem:a6a4f6bd75bbdd1b1a22e73a201a04b88"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a6a4f6bd75bbdd1b1a22e73a201a04b88"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a6a4f6bd75bbdd1b1a22e73a201a04b88">RCE_SPY_BUFFER</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classRCE__SPY__BUFFER.html">&lt;Entity RCE_SPY_BUFFER&gt; </a></em></td></tr>
<tr class="memitem:a10e1875e52a98d5e8a499ec41c8a3e27"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a10e1875e52a98d5e8a499ec41c8a3e27"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a10e1875e52a98d5e8a499ec41c8a3e27">Gearbox</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classGearbox.html">&lt;Entity Gearbox&gt; </a></em></td></tr>
<tr class="memitem:a61f7b3cbcedea4bae0c663c892d5d07f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a61f7b3cbcedea4bae0c663c892d5d07f"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a61f7b3cbcedea4bae0c663c892d5d07f">counter</a>&#160;</td><td class="memItemRight" valign="bottom">  <b></b>  <em><a class="el" href="classcounter.html">&lt;Entity counter&gt; </a></em></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Constants"></a>
Constants</h2></td></tr>
 <tr class="memitem:a48b9d974325c2bbdf2193fc8b6e2ccad"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a48b9d974325c2bbdf2193fc8b6e2ccad"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a48b9d974325c2bbdf2193fc8b6e2ccad">RCE_IDLE_2</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; 5C &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3c22f6a10f481b84db69633dd8cede9f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3c22f6a10f481b84db69633dd8cede9f"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a3c22f6a10f481b84db69633dd8cede9f">RCE_IDLE_1</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; 3C &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a11c594c855ad3ef5db4578ca1486b1d4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a11c594c855ad3ef5db4578ca1486b1d4"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a11c594c855ad3ef5db4578ca1486b1d4">FELIX_IDLE</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; BC &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7dd3deecc918c8d808e28b19b202d0f9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7dd3deecc918c8d808e28b19b202d0f9"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a7dd3deecc918c8d808e28b19b202d0f9">RCE_SOP</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; BC &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a8915554dee22e46932f01afea067f5c9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8915554dee22e46932f01afea067f5c9"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a8915554dee22e46932f01afea067f5c9">FELIX_SOP</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; 3C &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a19c6b1af93eace1d5bbde589c77fe30c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a19c6b1af93eace1d5bbde589c77fe30c"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a19c6b1af93eace1d5bbde589c77fe30c">FELIX_EOP</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; DC &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3dd309ea84a273d6c6d2c2ecdf5d8792"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3dd309ea84a273d6c6d2c2ecdf5d8792"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a3dd309ea84a273d6c6d2c2ecdf5d8792">ERR_ALIGNMENT</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">8</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a09d24a693ac7c552a2804e325e673294"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a09d24a693ac7c552a2804e325e673294"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a09d24a693ac7c552a2804e325e673294">ERR_CD_CAPTURE</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a889b890720bda661cb20b5d13a38ef2f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a889b890720bda661cb20b5d13a38ef2f"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a889b890720bda661cb20b5d13a38ef2f">ERR_CD_DATA_ERRORS</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a62ca9a3f1574431048a95795c785c435"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a62ca9a3f1574431048a95795c785c435"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a62ca9a3f1574431048a95795c785c435">CDA_FIFO_START</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">to_integer</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">ADDR_DATA_END</span><span class="vhdlchar"> </span><span class="vhdlchar">/</span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">to_integer</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">ADDR_DATA_END</span><span class="vhdlchar"> </span><span class="vhdlchar">/</span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9e100bb0f904f07b2a218d957155b6dc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9e100bb0f904f07b2a218d957155b6dc"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a9e100bb0f904f07b2a218d957155b6dc">CD_DATA_WORD_COUNT</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">14</span> <span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Types"></a>
Types</h2></td></tr>
 <tr class="memitem:a9acb0a6fc16f784053b5570d8228da7a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9acb0a6fc16f784053b5570d8228da7a"></a>
<b><a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a9acb0a6fc16f784053b5570d8228da7a">EB_state_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">EB_STATE_INIT_WAIT</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">EB_STATE_NEW_FRAME</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">EB_STATE_SKIP_WORD</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">EB_STATE_IDLE_PATTERN</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">EB_STATE_SEND_HEADER_2</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">EB_STATE_CD_HEADER</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">EB_STATE_CD_DATA</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">EB_STATE_CRC_WAIT</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a4eb9d49a1a19c2ae94419f7bd67ad494"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4eb9d49a1a19c2ae94419f7bd67ad494"></a>
<b><a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a4eb9d49a1a19c2ae94419f7bd67ad494">DAQ_word_array_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlkeyword">array</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar">range&lt;&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">of</span><span class="vhdlchar"> </span><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">BYTES_PER_WORD</span><span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar"> </span> <span class="vhdldigit">8</span> <span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a3cd8fa24cdb3aeb8809de31a739e7146"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3cd8fa24cdb3aeb8809de31a739e7146"></a>
<b><a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a3cd8fa24cdb3aeb8809de31a739e7146">spy_buffer_state_t</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">SPY_BUFFER_STATE_IDLE</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">SPY_BUFFER_STATE_WAIT</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">SPY_BUFFER_STATE_CAPTURE</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Signals"></a>
Signals</h2></td></tr>
 <tr class="memitem:a086f28201a4aa177aeec21c7d8c148c4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a086f28201a4aa177aeec21c7d8c148c4"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a086f28201a4aa177aeec21c7d8c148c4">IDLE</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">17</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab6a9b1809483def47f1e240ce30b4fe7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab6a9b1809483def47f1e240ce30b4fe7"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#ab6a9b1809483def47f1e240ce30b4fe7">EB_state</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">EB_state_t</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">EB_STATE_INIT_WAIT</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a897fe5c5ac77b72b26969a0a9ed7a7f7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a897fe5c5ac77b72b26969a0a9ed7a7f7"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a897fe5c5ac77b72b26969a0a9ed7a7f7">CDA_readout_start</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">CDAS_PER_DAQ_LINK</span><span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac692c86c8704b37b035fad8d39c14e45"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac692c86c8704b37b035fad8d39c14e45"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#ac692c86c8704b37b035fad8d39c14e45">CDA_readout_end</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">CDAS_PER_DAQ_LINK</span><span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a59e1c275e70833d940160eb2d643cf03"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a59e1c275e70833d940160eb2d643cf03"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a59e1c275e70833d940160eb2d643cf03">CDA_readout</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">CDAS_PER_DAQ_LINK</span><span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">CDA_readout_star</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af19853eb2774265a4d54cdfb486975ed"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af19853eb2774265a4d54cdfb486975ed"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#af19853eb2774265a4d54cdfb486975ed">iCDA</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aec04a94483c10a935fd30665b1785cdf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aec04a94483c10a935fd30665b1785cdf"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#aec04a94483c10a935fd30665b1785cdf">DAQ_SOF</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0c6597610aa5ee4b1dfa6a81cdbe531e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0c6597610aa5ee4b1dfa6a81cdbe531e"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a0c6597610aa5ee4b1dfa6a81cdbe531e">new_event</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ae7aa9ba43ce39e27318dadca87420c49"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae7aa9ba43ce39e27318dadca87420c49"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#ae7aa9ba43ce39e27318dadca87420c49">timestamp_mismatch</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aaf223d629045136df5b7e7973e2aa0ed"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aaf223d629045136df5b7e7973e2aa0ed"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#aaf223d629045136df5b7e7973e2aa0ed">frame_valid</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">CDAS_PER_DAQ_LINK</span><span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar"> </span><span class="vhdlchar">LINKS_PER_CDA</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afd306babe0238f1e5e6128d7ce21d3ba"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afd306babe0238f1e5e6128d7ce21d3ba"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#afd306babe0238f1e5e6128d7ce21d3ba">stream_convert_count</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">uint16_array_t</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">CDAS_PER_FEMB</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad9bf14fec9baba3fe3d83bb863c51faf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad9bf14fec9baba3fe3d83bb863c51faf"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#ad9bf14fec9baba3fe3d83bb863c51faf">event_data_8b</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">DAQ_word_array_t</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">WORD_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">+</span><span class="vhdlchar"> </span><span class="vhdlchar">EXTRA_WORD_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acfa1d9e529a609deba57a2fa88c295dd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acfa1d9e529a609deba57a2fa88c295dd"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#acfa1d9e529a609deba57a2fa88c295dd">event_data_k_8b</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">BYTES_PER_WORD</span><span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar">WORD_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">+</span><span class="vhdlchar"> </span><span class="vhdlchar">EXTRA_WORD_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa569ff1b205e5083eede50d8210b4bcf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa569ff1b205e5083eede50d8210b4bcf"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#aa569ff1b205e5083eede50d8210b4bcf">event_data_8b_delay</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">DAQ_word_array_t</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">WORD_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">+</span><span class="vhdlchar"> </span><span class="vhdlchar">EXTRA_WORD_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a4ca243ea37b99fbc7cb6b8066965bb20"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4ca243ea37b99fbc7cb6b8066965bb20"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a4ca243ea37b99fbc7cb6b8066965bb20">event_data_k_8b_delay</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">BYTES_PER_WORD</span><span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar">WORD_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">+</span><span class="vhdlchar"> </span><span class="vhdlchar">EXTRA_WORD_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a2c9a1d235f57c35f64e1fd1ba0e98ff7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2c9a1d235f57c35f64e1fd1ba0e98ff7"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a2c9a1d235f57c35f64e1fd1ba0e98ff7">event_data_count</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; 04 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a166be3d9c0b8db4d35c5c83ea090b5ea"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a166be3d9c0b8db4d35c5c83ea090b5ea"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a166be3d9c0b8db4d35c5c83ea090b5ea">event_data_count_delay</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; 04 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a497defb3de2992287eede227ba6bcc75"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a497defb3de2992287eede227ba6bcc75"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a497defb3de2992287eede227ba6bcc75">debug_mode_data</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; 00030002000100bc &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ac953f6baabed7d33f5cba05689b37314"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac953f6baabed7d33f5cba05689b37314"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#ac953f6baabed7d33f5cba05689b37314">crc_input_data</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">63</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa6bf3aec729095175df10cee671ee396"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa6bf3aec729095175df10cee671ee396"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#aa6bf3aec729095175df10cee671ee396">CD_odd_data_words</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a37063c9c02a796c17097399c2c1099eb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a37063c9c02a796c17097399c2c1099eb"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a37063c9c02a796c17097399c2c1099eb">header_errors</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; 0000 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a91edd6b871b851ec565d8b0bbb7a2bcb"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a91edd6b871b851ec565d8b0bbb7a2bcb"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a91edd6b871b851ec565d8b0bbb7a2bcb">header_fiber_number</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 00 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a95a99ccb2b2a3322cc20a1a536929cd5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a95a99ccb2b2a3322cc20a1a536929cd5"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a95a99ccb2b2a3322cc20a1a536929cd5">header_slot_number</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 000 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a15f97f583d7ba54b68ae134b524909dd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a15f97f583d7ba54b68ae134b524909dd"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a15f97f583d7ba54b68ae134b524909dd">header_crate_number</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 00000 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a895d8902c8e779935ab802bd3d3ffc23"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a895d8902c8e779935ab802bd3d3ffc23"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a895d8902c8e779935ab802bd3d3ffc23">CDA_send_counter</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">to_integer</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">ADDR_DATA_END</span><span class="vhdlchar"> </span><span class="vhdlchar">/</span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">CDA_FIFO_START</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:acb826767ebcb6b7203e163500480eec3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="acb826767ebcb6b7203e163500480eec3"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#acb826767ebcb6b7203e163500480eec3">iCD_data_word_count</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlkeyword">range</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">CD_DATA_WORD_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a18891c562d29fccd136b1607caac5eb5"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a18891c562d29fccd136b1607caac5eb5"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a18891c562d29fccd136b1607caac5eb5">empty_line_request</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab99373f1739c44162787b92a508ee766"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab99373f1739c44162787b92a508ee766"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#ab99373f1739c44162787b92a508ee766">monitor_buffer</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">DAQ_Link_EB_Monitor_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a912b3b1803f446c687937aee4b6d0870"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a912b3b1803f446c687937aee4b6d0870"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a912b3b1803f446c687937aee4b6d0870">gearbox_input</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar">WORD_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">+</span><span class="vhdlchar"> </span><span class="vhdlchar">EXTRA_WORD_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar"> </span><span class="vhdlchar">BYTES_PER_WORD</span><span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar"> </span><span class="vhdlchar">BITS_PER_BYTE</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a13232036cae7af17c268ffd05cad003d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a13232036cae7af17c268ffd05cad003d"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a13232036cae7af17c268ffd05cad003d">gearbox_output</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">WORD_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar"> </span><span class="vhdlchar">BYTES_PER_WORD</span><span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar"> </span><span class="vhdlchar">BITS_PER_BYTE</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:affd8b99b38842ec000d5b3029d9b3507"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="affd8b99b38842ec000d5b3029d9b3507"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#affd8b99b38842ec000d5b3029d9b3507">special_word_request</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">x</span><span class="vhdlchar"> </span><span class="keyword">&quot; 00 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa56a41e4e25a25fab1be8307680c25d0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa56a41e4e25a25fab1be8307680c25d0"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#aa56a41e4e25a25fab1be8307680c25d0">spy_buffer_state</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">spy_buffer_state_t</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">SPY_BUFFER_STATE_IDLE</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a97c5dd60d860904d687bc1b961b7819b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a97c5dd60d860904d687bc1b961b7819b"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a97c5dd60d860904d687bc1b961b7819b">spy_buffer_write_enable</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab3a06b4ef725003acbba8eea0bfa3faf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab3a06b4ef725003acbba8eea0bfa3faf"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#ab3a06b4ef725003acbba8eea0bfa3faf">spy_buffer_full</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:adb61bcef1647741fc6605300376f1701"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adb61bcef1647741fc6605300376f1701"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#adb61bcef1647741fc6605300376f1701">spy_buffer_write</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:abbbea843bca706ef6f662f075e7cffb2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="abbbea843bca706ef6f662f075e7cffb2"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#abbbea843bca706ef6f662f075e7cffb2">data_crc</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">31</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a556648ab5b85418556c9c6c9bd841760"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a556648ab5b85418556c9c6c9bd841760"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a556648ab5b85418556c9c6c9bd841760">crc_reset</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:af3f410b2a2c83922d4048da4d1408ebf"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af3f410b2a2c83922d4048da4d1408ebf"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#af3f410b2a2c83922d4048da4d1408ebf">crc_process</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3bfc6bec9e0e248b4094a8a5a2c03b67"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3bfc6bec9e0e248b4094a8a5a2c03b67"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a3bfc6bec9e0e248b4094a8a5a2c03b67">bad_crc</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a83fd64872b8c85990375f9f770f5e15e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a83fd64872b8c85990375f9f770f5e15e"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a83fd64872b8c85990375f9f770f5e15e">crc_bytes</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 00 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a7bae04077ad3c8b352430f77c775ee8e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7bae04077ad3c8b352430f77c775ee8e"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a7bae04077ad3c8b352430f77c775ee8e">bad_crc_masked_value</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">15</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">'</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a3e9d1af4a150ee0dd09253097814fd6b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3e9d1af4a150ee0dd09253097814fd6b"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a3e9d1af4a150ee0dd09253097814fd6b">convert_info</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">convert_t</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Instantiations"></a>
Instantiations</h2></td></tr>
 <tr class="memitem:a5c69721a2b6bf3159c25ea40f7517683"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5c69721a2b6bf3159c25ea40f7517683"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a5c69721a2b6bf3159c25ea40f7517683">CRCD64_RCE_1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.CRCD64_RCE</b>  </td></tr>
<tr class="memitem:a04258b70a993bf1b2c7f4aebd558c846"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a04258b70a993bf1b2c7f4aebd558c846"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a04258b70a993bf1b2c7f4aebd558c846">CRCD64_FELIX_1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.CRCD64_FELIX</b>  </td></tr>
<tr class="memitem:ab2590e8804b7a0aef2ff06a6b2f1d40d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab2590e8804b7a0aef2ff06a6b2f1d40d"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#ab2590e8804b7a0aef2ff06a6b2f1d40d">Gearbox_2</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.Gearbox</b>  </td></tr>
<tr class="memitem:afe019595247d7befd64143e03219e5a0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afe019595247d7befd64143e03219e5a0"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#afe019595247d7befd64143e03219e5a0">RCE_SPY_BUFFER_1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>RCE_SPY_BUFFER</b>  <em><a class="el" href="classRCE__SPY__BUFFER.html">&lt;Entity RCE_SPY_BUFFER&gt;</a></em></td></tr>
<tr class="memitem:a52bdb7d2ab1e1ccf5fc427a1108bf6dc"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a52bdb7d2ab1e1ccf5fc427a1108bf6dc"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#a52bdb7d2ab1e1ccf5fc427a1108bf6dc">counter_1</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.counter</b>  </td></tr>
<tr class="memitem:aac1f9d7cacdadcbf71cb62aa8ce8680b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aac1f9d7cacdadcbf71cb62aa8ce8680b"></a>
<a class="el" href="classDAQ__Link__EventBuilder_1_1behavioral.html#aac1f9d7cacdadcbf71cb62aa8ce8680b">counter_2</a>&#160;</td><td class="memItemRight" valign="bottom">  <b>work.counter</b>  </td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="DAQ__LINK__EventBuilder_8vhd_source.html#l00035">35</a> of file <a class="el" href="DAQ__LINK__EventBuilder_8vhd_source.html">DAQ_LINK_EventBuilder.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/EventBuilder/<a class="el" href="DAQ__LINK__EventBuilder_8vhd_source.html">DAQ_LINK_EventBuilder.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:32 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
